<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'superrobota',

    /*
     * Package.
     */
    'package'   => 'insurance',

    /*
     * Modules.
     */
    'modules'   => ['insurance'],

    
    'insurance'       => [
        'model' => [
            'model'                 => \Superrobota\Insurance\Models\Insurance::class,
            'table'                 => 'insurances',
            'presenter'             => \Superrobota\Insurance\Repositories\Presenter\InsurancePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'descritpion',  'image',  'link'],
            'translatables'         => [],
            'upload_folder'         => 'insurance/insurance',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Insurance',
            'module'    => 'Insurance',
        ],

    ],
];
