<?php

namespace Superrobota\Insurance;

use User;

class Insurance
{
    /**
     * $insurance object.
     */
    protected $insurance;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Insurance\Interfaces\InsuranceRepositoryInterface $insurance)
    {
        $this->insurance = $insurance;
    }

    /**
     * Returns count of insurance.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.insurance.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->insurance->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\InsuranceUserCriteria());
        }

        $insurance = $this->insurance->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('insurance::' . $view, compact('insurance'))->render();
    }
}
