<?php

namespace Superrobota\Insurance\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InsuranceTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Insurance\Models\Insurance $insurance)
    {
        return [
            'id'                => $insurance->getRouteKey(),
            'key'               => [
                'public'    => $insurance->getPublicKey(),
                'route'     => $insurance->getRouteKey(),
            ], 
            'name'              => $insurance->name,
            'descritpion'       => $insurance->descritpion,
            'image'             => $insurance->image,
            'link'              => $insurance->link,
            'url'               => [
                'public'    => trans_url('insurance/'.$insurance->getPublicKey()),
                'user'      => guard_url('insurance/insurance/'.$insurance->getRouteKey()),
            ], 
            'status'            => trans('app.'.$insurance->status),
            'created_at'        => format_date($insurance->created_at),
            'updated_at'        => format_date($insurance->updated_at),
        ];
    }
}